#!/bin/sh -e

mkdir -p lobcg_spingc_6body/
cd lobcg_spingc_6body

cat > stan.in <<EOF
a0W = 2
a1W = 1
a0L = 2
a1L = -2
model = "SpinGC"
method = "CG"
lattice = "Honeycomb"
J0x = -1.0
J0y =  0.0
J0z =  0.0
J1x =  0.0
J1y = -1.0
J1z =  0.0
J2x =  0.0
J2y =  0.0
J2z = -1.0
2S=1
h=0
EOF

cat > green6.def <<EOF
===================
num       64
===================
===================
===================
  11    0   11    1    2    0    2    1    3    0    3    0    4    0    4    1    1    0    1    1    0    0    0    0 
  11    0   11    1    2    0    2    1    3    0    3    0    4    0    4    1    1    0    1    1    0    1    0    1 
  11    0   11    1    2    0    2    1    3    0    3    0    4    0    4    1    1    1    1    0    0    0    0    0 
  11    0   11    1    2    0    2    1    3    0    3    0    4    0    4    1    1    1    1    0    0    1    0    1 
  11    0   11    1    2    0    2    1    3    0    3    0    4    1    4    0    1    0    1    1    0    0    0    0 
  11    0   11    1    2    0    2    1    3    0    3    0    4    1    4    0    1    0    1    1    0    1    0    1 
  11    0   11    1    2    0    2    1    3    0    3    0    4    1    4    0    1    1    1    0    0    0    0    0 
  11    0   11    1    2    0    2    1    3    0    3    0    4    1    4    0    1    1    1    0    0    1    0    1 
  11    0   11    1    2    0    2    1    3    1    3    1    4    0    4    1    1    0    1    1    0    0    0    0 
  11    0   11    1    2    0    2    1    3    1    3    1    4    0    4    1    1    0    1    1    0    1    0    1 
  11    0   11    1    2    0    2    1    3    1    3    1    4    0    4    1    1    1    1    0    0    0    0    0 
  11    0   11    1    2    0    2    1    3    1    3    1    4    0    4    1    1    1    1    0    0    1    0    1 
  11    0   11    1    2    0    2    1    3    1    3    1    4    1    4    0    1    0    1    1    0    0    0    0 
  11    0   11    1    2    0    2    1    3    1    3    1    4    1    4    0    1    0    1    1    0    1    0    1 
  11    0   11    1    2    0    2    1    3    1    3    1    4    1    4    0    1    1    1    0    0    0    0    0 
  11    0   11    1    2    0    2    1    3    1    3    1    4    1    4    0    1    1    1    0    0    1    0    1 
  11    0   11    1    2    1    2    0    3    0    3    0    4    0    4    1    1    0    1    1    0    0    0    0 
  11    0   11    1    2    1    2    0    3    0    3    0    4    0    4    1    1    0    1    1    0    1    0    1 
  11    0   11    1    2    1    2    0    3    0    3    0    4    0    4    1    1    1    1    0    0    0    0    0 
  11    0   11    1    2    1    2    0    3    0    3    0    4    0    4    1    1    1    1    0    0    1    0    1 
  11    0   11    1    2    1    2    0    3    0    3    0    4    1    4    0    1    0    1    1    0    0    0    0 
  11    0   11    1    2    1    2    0    3    0    3    0    4    1    4    0    1    0    1    1    0    1    0    1 
  11    0   11    1    2    1    2    0    3    0    3    0    4    1    4    0    1    1    1    0    0    0    0    0 
  11    0   11    1    2    1    2    0    3    0    3    0    4    1    4    0    1    1    1    0    0    1    0    1 
  11    0   11    1    2    1    2    0    3    1    3    1    4    0    4    1    1    0    1    1    0    0    0    0 
  11    0   11    1    2    1    2    0    3    1    3    1    4    0    4    1    1    0    1    1    0    1    0    1 
  11    0   11    1    2    1    2    0    3    1    3    1    4    0    4    1    1    1    1    0    0    0    0    0 
  11    0   11    1    2    1    2    0    3    1    3    1    4    0    4    1    1    1    1    0    0    1    0    1 
  11    0   11    1    2    1    2    0    3    1    3    1    4    1    4    0    1    0    1    1    0    0    0    0 
  11    0   11    1    2    1    2    0    3    1    3    1    4    1    4    0    1    0    1    1    0    1    0    1 
  11    0   11    1    2    1    2    0    3    1    3    1    4    1    4    0    1    1    1    0    0    0    0    0 
  11    0   11    1    2    1    2    0    3    1    3    1    4    1    4    0    1    1    1    0    0    1    0    1 
  11    1   11    0    2    0    2    1    3    0    3    0    4    0    4    1    1    0    1    1    0    0    0    0 
  11    1   11    0    2    0    2    1    3    0    3    0    4    0    4    1    1    0    1    1    0    1    0    1 
  11    1   11    0    2    0    2    1    3    0    3    0    4    0    4    1    1    1    1    0    0    0    0    0 
  11    1   11    0    2    0    2    1    3    0    3    0    4    0    4    1    1    1    1    0    0    1    0    1 
  11    1   11    0    2    0    2    1    3    0    3    0    4    1    4    0    1    0    1    1    0    0    0    0 
  11    1   11    0    2    0    2    1    3    0    3    0    4    1    4    0    1    0    1    1    0    1    0    1 
  11    1   11    0    2    0    2    1    3    0    3    0    4    1    4    0    1    1    1    0    0    0    0    0 
  11    1   11    0    2    0    2    1    3    0    3    0    4    1    4    0    1    1    1    0    0    1    0    1 
  11    1   11    0    2    0    2    1    3    1    3    1    4    0    4    1    1    0    1    1    0    0    0    0 
  11    1   11    0    2    0    2    1    3    1    3    1    4    0    4    1    1    0    1    1    0    1    0    1 
  11    1   11    0    2    0    2    1    3    1    3    1    4    0    4    1    1    1    1    0    0    0    0    0 
  11    1   11    0    2    0    2    1    3    1    3    1    4    0    4    1    1    1    1    0    0    1    0    1 
  11    1   11    0    2    0    2    1    3    1    3    1    4    1    4    0    1    0    1    1    0    0    0    0 
  11    1   11    0    2    0    2    1    3    1    3    1    4    1    4    0    1    0    1    1    0    1    0    1 
  11    1   11    0    2    0    2    1    3    1    3    1    4    1    4    0    1    1    1    0    0    0    0    0 
  11    1   11    0    2    0    2    1    3    1    3    1    4    1    4    0    1    1    1    0    0    1    0    1 
  11    1   11    0    2    1    2    0    3    0    3    0    4    0    4    1    1    0    1    1    0    0    0    0 
  11    1   11    0    2    1    2    0    3    0    3    0    4    0    4    1    1    0    1    1    0    1    0    1 
  11    1   11    0    2    1    2    0    3    0    3    0    4    0    4    1    1    1    1    0    0    0    0    0 
  11    1   11    0    2    1    2    0    3    0    3    0    4    0    4    1    1    1    1    0    0    1    0    1 
  11    1   11    0    2    1    2    0    3    0    3    0    4    1    4    0    1    0    1    1    0    0    0    0 
  11    1   11    0    2    1    2    0    3    0    3    0    4    1    4    0    1    0    1    1    0    1    0    1 
  11    1   11    0    2    1    2    0    3    0    3    0    4    1    4    0    1    1    1    0    0    0    0    0 
  11    1   11    0    2    1    2    0    3    0    3    0    4    1    4    0    1    1    1    0    0    1    0    1 
  11    1   11    0    2    1    2    0    3    1    3    1    4    0    4    1    1    0    1    1    0    0    0    0 
  11    1   11    0    2    1    2    0    3    1    3    1    4    0    4    1    1    0    1    1    0    1    0    1 
  11    1   11    0    2    1    2    0    3    1    3    1    4    0    4    1    1    1    1    0    0    0    0    0 
  11    1   11    0    2    1    2    0    3    1    3    1    4    0    4    1    1    1    1    0    0    1    0    1 
  11    1   11    0    2    1    2    0    3    1    3    1    4    1    4    0    1    0    1    1    0    0    0    0 
  11    1   11    0    2    1    2    0    3    1    3    1    4    1    4    0    1    0    1    1    0    1    0    1 
  11    1   11    0    2    1    2    0    3    1    3    1    4    1    4    0    1    1    1    0    0    0    0    0 
  11    1   11    0    2    1    2    0    3    1    3    1    4    1    4    0    1    1    1    0    0    1    0    1 
EOF

../../src/HPhi -sdry stan.in

echo   "SixBodyG    green6.def" >> namelist.def

${MPIRUN} ../../src/HPhi -e namelist.def

# Check value

cat > reference.dat <<EOF
 0
 -2.5322475511229388 
 0.0000000000000000 
 0.0000000771149021 
EOF
paste output/zvo_energy.dat reference.dat > paste1.dat
diff=`awk 'BEGIN{diff=0.0} {diff+=sqrt(($2-$3)*($2-$3))} END{printf "%8.6f", diff}' paste1.dat`

cat > reference.dat <<EOF
   11    0   11    1    2    0    2    1    3    0    3    0     4    0    4    1     1    0    1    1    0    0    0    0 -0.0815020257 -0.0000000297 
   11    0   11    1    2    0    2    1    3    0    3    0     4    0    4    1     1    0    1    1    0    1    0    1 0.0003241116 -0.0000000000 
   11    0   11    1    2    0    2    1    3    0    3    0     4    0    4    1     1    1    1    0    0    0    0    0 0.0094645820 0.0000000024 
   11    0   11    1    2    0    2    1    3    0    3    0     4    0    4    1     1    1    1    0    0    1    0    1 -0.0099890055 -0.0000000020 
   11    0   11    1    2    0    2    1    3    0    3    0     4    1    4    0     1    0    1    1    0    0    0    0 -0.0094645813 -0.0000000027 
   11    0   11    1    2    0    2    1    3    0    3    0     4    1    4    0     1    0    1    1    0    1    0    1 0.0099890062 -0.0000000032 
   11    0   11    1    2    0    2    1    3    0    3    0     4    1    4    0     1    1    1    0    0    0    0    0 0.0815020310 0.0000000021 
   11    0   11    1    2    0    2    1    3    0    3    0     4    1    4    0     1    1    1    0    0    1    0    1 -0.0003241117 0.0000000000 
   11    0   11    1    2    0    2    1    3    1    3    1     4    0    4    1     1    0    1    1    0    0    0    0 0.0003241117 -0.0000000000 
   11    0   11    1    2    0    2    1    3    1    3    1     4    0    4    1     1    0    1    1    0    1    0    1 -0.0815020354 0.0000000363 
   11    0   11    1    2    0    2    1    3    1    3    1     4    0    4    1     1    1    1    0    0    0    0    0 -0.0099890058 0.0000000033 
   11    0   11    1    2    0    2    1    3    1    3    1     4    0    4    1     1    1    1    0    0    1    0    1 0.0094645830 -0.0000000038 
   11    0   11    1    2    0    2    1    3    1    3    1     4    1    4    0     1    0    1    1    0    0    0    0 0.0099890062 0.0000000022 
   11    0   11    1    2    0    2    1    3    1    3    1     4    1    4    0     1    0    1    1    0    1    0    1 -0.0094645827 0.0000000037 
   11    0   11    1    2    0    2    1    3    1    3    1     4    1    4    0     1    1    1    0    0    0    0    0 -0.0003241117 -0.0000000000 
   11    0   11    1    2    0    2    1    3    1    3    1     4    1    4    0     1    1    1    0    0    1    0    1 0.0815020384 -0.0000000120 
   11    0   11    1    2    1    2    0    3    0    3    0     4    0    4    1     1    0    1    1    0    0    0    0 0.0094645820 0.0000000018 
   11    0   11    1    2    1    2    0    3    0    3    0     4    0    4    1     1    0    1    1    0    1    0    1 -0.0099890057 0.0000000039 
   11    0   11    1    2    1    2    0    3    0    3    0     4    0    4    1     1    1    1    0    0    0    0    0 -0.0008485353 0.0000000000 
   11    0   11    1    2    1    2    0    3    0    3    0     4    0    4    1     1    1    1    0    0    1    0    1 0.0034181440 -0.0000000003 
   11    0   11    1    2    1    2    0    3    0    3    0     4    1    4    0     1    0    1    1    0    0    0    0 0.0008485352 0.0000000000 
   11    0   11    1    2    1    2    0    3    0    3    0     4    1    4    0     1    0    1    1    0    1    0    1 -0.0034181440 0.0000000014 
   11    0   11    1    2    1    2    0    3    0    3    0     4    1    4    0     1    1    1    0    0    0    0    0 -0.0094645815 0.0000000025 
   11    0   11    1    2    1    2    0    3    0    3    0     4    1    4    0     1    1    1    0    0    1    0    1 0.0099890061 -0.0000000043 
   11    0   11    1    2    1    2    0    3    1    3    1     4    0    4    1     1    0    1    1    0    0    0    0 -0.0099890057 -0.0000000041 
   11    0   11    1    2    1    2    0    3    1    3    1     4    0    4    1     1    0    1    1    0    1    0    1 0.0094645828 -0.0000000024 
   11    0   11    1    2    1    2    0    3    1    3    1     4    0    4    1     1    1    1    0    0    0    0    0 0.0034181440 0.0000000001 
   11    0   11    1    2    1    2    0    3    1    3    1     4    0    4    1     1    1    1    0    0    1    0    1 -0.0008485354 0.0000000000 
   11    0   11    1    2    1    2    0    3    1    3    1     4    1    4    0     1    0    1    1    0    0    0    0 -0.0034181440 -0.0000000011 
   11    0   11    1    2    1    2    0    3    1    3    1     4    1    4    0     1    0    1    1    0    1    0    1 0.0008485354 0.0000000000 
   11    0   11    1    2    1    2    0    3    1    3    1     4    1    4    0     1    1    1    0    0    0    0    0 0.0099890063 0.0000000037 
   11    0   11    1    2    1    2    0    3    1    3    1     4    1    4    0     1    1    1    0    0    1    0    1 -0.0094645828 -0.0000000018 
   11    1   11    0    2    0    2    1    3    0    3    0     4    0    4    1     1    0    1    1    0    0    0    0 -0.0094645815 -0.0000000025 
   11    1   11    0    2    0    2    1    3    0    3    0     4    0    4    1     1    0    1    1    0    1    0    1 0.0099890061 0.0000000043 
   11    1   11    0    2    0    2    1    3    0    3    0     4    0    4    1     1    1    1    0    0    0    0    0 0.0008485352 -0.0000000000 
   11    1   11    0    2    0    2    1    3    0    3    0     4    0    4    1     1    1    1    0    0    1    0    1 -0.0034181440 -0.0000000014 
   11    1   11    0    2    0    2    1    3    0    3    0     4    1    4    0     1    0    1    1    0    0    0    0 -0.0008485353 -0.0000000000 
   11    1   11    0    2    0    2    1    3    0    3    0     4    1    4    0     1    0    1    1    0    1    0    1 0.0034181440 0.0000000003 
   11    1   11    0    2    0    2    1    3    0    3    0     4    1    4    0     1    1    1    0    0    0    0    0 0.0094645820 -0.0000000018 
   11    1   11    0    2    0    2    1    3    0    3    0     4    1    4    0     1    1    1    0    0    1    0    1 -0.0099890057 -0.0000000039 
   11    1   11    0    2    0    2    1    3    1    3    1     4    0    4    1     1    0    1    1    0    0    0    0 0.0099890063 -0.0000000037 
   11    1   11    0    2    0    2    1    3    1    3    1     4    0    4    1     1    0    1    1    0    1    0    1 -0.0094645828 0.0000000018 
   11    1   11    0    2    0    2    1    3    1    3    1     4    0    4    1     1    1    1    0    0    0    0    0 -0.0034181440 0.0000000011 
   11    1   11    0    2    0    2    1    3    1    3    1     4    0    4    1     1    1    1    0    0    1    0    1 0.0008485354 -0.0000000000 
   11    1   11    0    2    0    2    1    3    1    3    1     4    1    4    0     1    0    1    1    0    0    0    0 0.0034181440 -0.0000000001 
   11    1   11    0    2    0    2    1    3    1    3    1     4    1    4    0     1    0    1    1    0    1    0    1 -0.0008485354 -0.0000000000 
   11    1   11    0    2    0    2    1    3    1    3    1     4    1    4    0     1    1    1    0    0    0    0    0 -0.0099890057 0.0000000041 
   11    1   11    0    2    0    2    1    3    1    3    1     4    1    4    0     1    1    1    0    0    1    0    1 0.0094645828 0.0000000024 
   11    1   11    0    2    1    2    0    3    0    3    0     4    0    4    1     1    0    1    1    0    0    0    0 0.0815020310 -0.0000000021 
   11    1   11    0    2    1    2    0    3    0    3    0     4    0    4    1     1    0    1    1    0    1    0    1 -0.0003241117 -0.0000000000 
   11    1   11    0    2    1    2    0    3    0    3    0     4    0    4    1     1    1    1    0    0    0    0    0 -0.0094645813 0.0000000027 
   11    1   11    0    2    1    2    0    3    0    3    0     4    0    4    1     1    1    1    0    0    1    0    1 0.0099890062 0.0000000032 
   11    1   11    0    2    1    2    0    3    0    3    0     4    1    4    0     1    0    1    1    0    0    0    0 0.0094645820 -0.0000000024 
   11    1   11    0    2    1    2    0    3    0    3    0     4    1    4    0     1    0    1    1    0    1    0    1 -0.0099890055 0.0000000020 
   11    1   11    0    2    1    2    0    3    0    3    0     4    1    4    0     1    1    1    0    0    0    0    0 -0.0815020257 0.0000000297 
   11    1   11    0    2    1    2    0    3    0    3    0     4    1    4    0     1    1    1    0    0    1    0    1 0.0003241116 0.0000000000 
   11    1   11    0    2    1    2    0    3    1    3    1     4    0    4    1     1    0    1    1    0    0    0    0 -0.0003241117 0.0000000000 
   11    1   11    0    2    1    2    0    3    1    3    1     4    0    4    1     1    0    1    1    0    1    0    1 0.0815020384 0.0000000120 
   11    1   11    0    2    1    2    0    3    1    3    1     4    0    4    1     1    1    1    0    0    0    0    0 0.0099890062 -0.0000000022 
   11    1   11    0    2    1    2    0    3    1    3    1     4    0    4    1     1    1    1    0    0    1    0    1 -0.0094645827 -0.0000000037 
   11    1   11    0    2    1    2    0    3    1    3    1     4    1    4    0     1    0    1    1    0    0    0    0 -0.0099890058 -0.0000000033 
   11    1   11    0    2    1    2    0    3    1    3    1     4    1    4    0     1    0    1    1    0    1    0    1 0.0094645830 0.0000000038 
   11    1   11    0    2    1    2    0    3    1    3    1     4    1    4    0     1    1    1    0    0    0    0    0 0.0003241117 0.0000000000 
   11    1   11    0    2    1    2    0    3    1    3    1     4    1    4    0     1    1    1    0    0    1    0    1 -0.0815020354 -0.0000000363 
EOF
paste output/zvo_SixBody_eigen0.dat reference.dat > paste2.dat
diff=`awk 'BEGIN{diff='${diff}'} {diff+=sqrt(($25-$51)*($25-$51)+($25-$51)*($25-$51))} 
END{printf "%8.6f", diff}' paste2.dat`

test "${diff}" = "0.000000"
exit $?
